#include <iostream.h>

class A
{
public:
  virtual void print(ostream&); //** 1
};

void A::print(ostream& os)
{
  os << "A";
}

class B : public A
{
public:
  virtual void print(ostream&); //** 2
};

void B::print(ostream& os)
{
  os << "B";
}

class C : public A
{
public:
  void print(ostream&); //** 3
};

void C::print(ostream& os)
{
  os << "C";
}

class D : public A
{                    //** 4
};

class E : public B
{
public:
  virtual void print(ostream&);
};

void E::print(ostream& os)
{
  os << "E : public ";
  B::print(os); //** 5
}

ostream& operator<<(ostream& os, A& a)
{
  a.print(os);
  return os;
}

int main()
{
  A a;
  B b;
  C c;
  D d;
  E e;
  cout << a << endl;
  cout << b << endl;
  cout << c << endl;
  cout << d << endl;
  cout << e << endl;
  return 0;
}
